import { IService } from '@mesg/api/lib/service';
export declare type RunnerInfo = {
    hash: string;
    instanceHash: string;
};
export declare type Env = {
    [key: string]: string;
};
export interface Provider {
    start(service: IService, env: Env, runnerHash: string): Promise<boolean>;
    stop(runnerHash: string, serviceHash: string): Promise<void>;
}
export default class Runner {
    private _provider;
    private _api;
    private _orchestrator;
    private _mnemonic;
    private _engineAddress;
    constructor(provider: Provider, lcdEndpoint: string, orchestratorEndpoint: string, mnemonic: string, engineAddress: string);
    start(serviceHash: string, env: string[]): Promise<RunnerInfo>;
    stop(runnerHash: string): Promise<void>;
    private sign;
}
