import { IService } from "@mesg/api/lib/service";
import { Provider, Env } from '../../index';
declare type DockerOptions = {
    socketPath?: string;
    host?: string;
    port?: string;
    version?: string;
    key?: string;
    cert?: string;
    ca?: string;
    timeout?: string;
    protocol?: string;
};
export default class DockerContainer implements Provider {
    private _client;
    private ipfsGateway;
    private serviceEndpoint;
    constructor(opts?: DockerOptions, serviceEndpoint?: string);
    start(service: IService, env: Env, runnerHash: string): Promise<boolean>;
    stop(runnerHash: string, serviceHash: string): Promise<void>;
    private findNetwork;
    private build;
    private convertVolumes;
    private volumeName;
}
export {};
